import * as SERVER from '@minecraft/server';
class ReplaceableComponent {
    onStepOn(e) {
        let block = e.player.getComponent("equippable").getEquipment("Mainhand");
        e.block.setPermutation(SERVER.BlockPermutation.resolve(SERVER.MinecraftBlockTypes.Air));
    }
    constructor(){
        this.onStepOn = this.onStepOn.bind(this);
    }
}
SERVER.world.beforeEvents.worldInitialize.subscribe((initEvent)=>{
//initEvent.blockTypeRegistry.registerCustomComponent('vc:replaceable', new ReplaceableComponent()); //had to scrap it cus i realized it wouldnt work 😅
});
